ON_Cone Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_cone.h>`

## Public Member Functions

| ON_Cone ()
| ON_Cone (const ON_Plane &plane, double height, double radius)
| ~ON_Cone ()
ON_BOOL32 | Create (const ON_Plane &plane, double height, double radius)
ON_BOOL32 | IsValid () const
ON_3dPoint | BasePoint () const
const ON_3dPoint & | ApexPoint () const
const ON_3dVector & | Axis () const
double | AngleInRadians () const
double | AngleInDegrees () const
ON_3dPoint | PointAt (double radial_parameter, double height_parameter) const
ON_3dVector | NormalAt (double radial_parameter, double height_parameter) const
ON_Circle | CircleAt (double height_parameter) const
ON_Line | LineAt (double radial_parameter) const
bool | ClosestPointTo (ON_3dPoint point, double *radial_parameter, double *height_parameter) const
ON_3dPoint | ClosestPointTo (ON_3dPoint) const
ON_BOOL32 | Transform (const ON_Xform &)
ON_BOOL32 | Rotate (double sin_angle, double cos_angle, const ON_3dVector &axis_of_rotation)
ON_BOOL32 | Rotate (double angle_in_radians, const ON_3dVector &axis_of_rotation)
ON_BOOL32 | Rotate (double sin_angle, double cos_angle, const ON_3dVector &axis_of_rotation, const ON_3dPoint &center_of_rotation)
ON_BOOL32 | Rotate (double angle_in_radians, const ON_3dVector &axis_of_rotation, const ON_3dPoint &center_of_rotation)
ON_BOOL32 | Translate (const ON_3dVector &delta)
ON_BOOL32 | GetNurbForm (ON_NurbsSurface &) const
ON_RevSurface * | RevSurfaceForm (ON_RevSurface *srf=NULL) const

## Public Attributes

ON_Plane | plane
double | height
double | radius

## Detailed Description

Definition at line 26 of file opennurbs_cone.h.

## Constructor & Destructor Documentation

ON_Cone::ON_Cone | ( |  | ) |

ON_Cone::ON_Cone | ( | const ON_Plane & | plane,
|  | double | height,
|  | double | radius
| ) |  |

ON_Cone::~ON_Cone | ( |  | ) |

## Member Function Documentation

double ON_Cone::AngleInDegrees | ( |  | ) | const

double ON_Cone::AngleInRadians | ( |  | ) | const

const ON_3dPoint& ON_Cone::ApexPoint | ( |  | ) | const

const ON_3dVector& ON_Cone::Axis | ( |  | ) | const

ON_3dPoint ON_Cone::BasePoint | ( |  | ) | const

ON_Circle ON_Cone::CircleAt | ( | double | height_parameter | ) | const

bool ON_Cone::ClosestPointTo | ( | ON_3dPoint | point,
|  | double * | radial_parameter,
|  | double * | height_parameter
| ) |  | const

ON_3dPoint ON_Cone::ClosestPointTo | ( | ON_3dPoint |  | ) | const

ON_BOOL32 ON_Cone::Create | ( | const ON_Plane & | plane,
|  | double | height,
|  | double | radius
| ) |  |

ON_BOOL32 ON_Cone::GetNurbForm | ( | ON_NurbsSurface & |  | ) | const

ON_BOOL32 ON_Cone::IsValid | ( |  | ) | const

ON_Line ON_Cone::LineAt | ( | double | radial_parameter | ) | const

ON_3dVector ON_Cone::NormalAt | ( | double | radial_parameter,
|  | double | height_parameter
| ) |  | const

ON_3dPoint ON_Cone::PointAt | ( | double | radial_parameter,
|  | double | height_parameter
| ) |  | const

ON_RevSurface* ON_Cone::RevSurfaceForm | ( | ON_RevSurface * | srf = `NULL` | ) | const

ON_BOOL32 ON_Cone::Rotate | ( | double | sin_angle,
|  | double | cos_angle,
|  | const ON_3dVector & | axis_of_rotation
| ) |  |

ON_BOOL32 ON_Cone::Rotate | ( | double | angle_in_radians,
|  | const ON_3dVector & | axis_of_rotation
| ) |  |

ON_BOOL32 ON_Cone::Rotate | ( | double | sin_angle,
|  | double | cos_angle,
|  | const ON_3dVector & | axis_of_rotation,
|  | const ON_3dPoint & | center_of_rotation
| ) |  |

ON_BOOL32 ON_Cone::Rotate | ( | double | angle_in_radians,
|  | const ON_3dVector & | axis_of_rotation,
|  | const ON_3dPoint & | center_of_rotation
| ) |  |

ON_BOOL32 ON_Cone::Transform | ( | const ON_Xform & |  | ) |

ON_BOOL32 ON_Cone::Translate | ( | const ON_3dVector & | delta | ) |

## Member Data Documentation

double ON_Cone::height

Definition at line 181 of file opennurbs_cone.h.

ON_Plane ON_Cone::plane

Definition at line 180 of file opennurbs_cone.h.

double ON_Cone::radius

Definition at line 182 of file opennurbs_cone.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_cone.h